#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "./libipc.h"

int main(void) {
	printf ("Init context.\n");
	void *ctx = ipc_context_init ();

	if (ctx == NULL) {
		printf ("Cannot init context.\n");
		return 1;
	}

	printf ("Deinit context\n");
	ipc_context_deinit (ctx);

	printf ("Context freed.\n");
	return 0;
}
